Package epydoc :: Package docwriter :: Module xlink :: Class ApiLinkReader

[hide private]
[frames] | no frames]

# Class ApiLinkReader

source code

A Docutils standalone reader allowing external documentation links.

The reader configure the url resolvers at the time read() is invoked the first time.

Instance Methods | [hide private]

__init__(self, *args, **kwargs) Initialize the Reader instance. | source code call graph

Call Graph

read(self, source, parser, settings) | source code call graph

Call Graph

Inherited from `docutils.readers.standalone.Reader`: `get_transforms` Inherited from `docutils.readers.Reader`: `new_document`, `parse`, `set_parser` Inherited from `docutils.Component`: `supports`

Class Methods | [hide private]

read_configuration(self, settings, problematic=True) Read the configuration for the configured URL resolver. | source code call graph

Call Graph

Class Variables | [hide private]

| settings_spec = ``(``'``API Linking Options``'``,` None`,` `(``(``'``Define a new` `...`` The option parser configuration.
| _conf = `True`
Inherited from `docutils.readers.standalone.Reader`: `config_section`, `config_section_dependencies`, `document`, `supported` Inherited from `docutils.readers.Reader`: `component_type` Inherited from `docutils.SettingsSpec`: `relative_path_settings`, `settings_default_overrides`, `settings_defaults` Inherited from `docutils.TransformSpec`: `default_transforms`, `unknown_reference_resolvers`

Method Details | [hide private]

### __init__(self, *args, **kwargs)
(Constructor)

source code
call graph

Call Graph

Initialize the Reader instance.

Several instance attributes are defined with dummy initial values. Subclasses may use these attributes as they wish.

Overrides: docutils.readers.Reader.__init__
  (inherited documentation)

### read(self, source, parser, settings)

source code
call graph

Call Graph

Overrides: docutils.readers.Reader.read

### read_configuration(self, settings, problematic=True)
Class Method

source code
call graph

Call Graph

Read the configuration for the configured URL resolver.

Register a new role for each configured API.

Parameters:
  - `settings` - the settings structure containing the options to read.
  - `problematic` (`bool`) - if True, the registered role will create problematic nodes in case of failed references. If False, a warning will be raised anyway, but the output will appear as an ordinary literal.

Class Variable Details | [hide private]

### settings_spec

The option parser configuration.

Value:

      ('API Linking Options',
       None,
       (('Define a new API document.  A new interpreted text role NAME will
      be added.',
         ['--external-api'],
         {'action': 'append', 'metavar': 'NAME'}),
        ('Use records in FILENAME to resolve objects in the API named NAME.'
      ,
      ...